<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package nexcraft
 */

$nexcraft_default_pg_sidebar = get_theme_mod('nexcraft_default_pg_sidebar','right_sidebar');
$content_section_id = ($nexcraft_default_pg_sidebar != 'no_sidebar') ? 'id="st-primary"' : '';
get_header(); 
?>
<section class="blog-section blog-page">
	<div class="container">
		<div class="row">
			<?php
			if ( $nexcraft_default_pg_sidebar == 'left_sidebar' ) {
				if ( class_exists( 'WooCommerce' ) ) {
					if( is_account_page() || is_cart() || is_checkout() ) {
						get_sidebar('woocommerce');
					}
					else{ 
						get_sidebar();
					}
				}
				else{ 
					get_sidebar();
				}
			}
			
			if ( class_exists( 'woocommerce' ) ){
						
					if( is_account_page() || is_cart() || is_checkout() ) {
						echo '<div '.$content_section_id.' class="col-lg-'.( !is_active_sidebar( "nexcraft-woocommerce-sidebar" ) || (is_active_sidebar( "nexcraft-woocommerce-sidebar" ) && ($nexcraft_default_pg_sidebar == 'no_sidebar')) ?"12" :"8" ).'">'; 
					}
					else{ 
				
						echo '<div '.$content_section_id.' class="col-lg-'.( !is_active_sidebar( "nexcraft-sidebar-primary" ) || (is_active_sidebar( "nexcraft-sidebar-primary" ) && ($nexcraft_default_pg_sidebar == 'no_sidebar')) ?"12" :"8" ).'">'; 
					
					}
				}
				else
				{ 
					echo '<div '.$content_section_id.' class="col-lg-'.( !is_active_sidebar( "nexcraft-sidebar-primary" ) || (is_active_sidebar( "nexcraft-sidebar-primary" ) && ($nexcraft_default_pg_sidebar == 'no_sidebar')) ?"12" :"8" ).' ">';
				} 	 ?>	
				
						<?php 		
							if( have_posts()) :  the_post();
							
							the_content(); 
							endif;
							
							if( $post->comment_status == 'open' ) { 
								 comments_template( '', true ); // show comments 
							}
						?>
										
						<!-- Pagination -->
						<?php		
							wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'nexcraft' ),
								'after'  => '</div>',
							) );
							// Previous/next page navigation.
							the_posts_pagination( array(
							'prev_text'          => '<i class="fa fa-angle-double-left"></i>',
							'next_text'          => '<i class="fa fa-angle-double-right"></i>',
							) ); ?>
						<!-- Pagination -->	

				</div>
				<?php if ( $nexcraft_default_pg_sidebar == 'right_sidebar' ) {
						if ( class_exists( 'WooCommerce' ) ) {
							if( is_account_page() || is_cart() || is_checkout() ) {
								get_sidebar('woocommerce');
							}
							else{ 
								get_sidebar();
							}
						}
						else{ 
							get_sidebar();
						}
					}
				?>
		</div>
	</div>
</section>	
<?php get_footer(); ?>